/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

package com.persagy.server.syn.services.jms

import com.persagy.server.syn.jms.bean.SyncRwdDatacenterMessage
import org.springframework.stereotype.Service

/**
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2020/12/25 17:33
 */
@Service
class RwdRelationAdd {

    /**
     * 添加关系-中台
     */
    fun addRelation(message: SyncRwdDatacenterMessage){

        if (!message.exts.isNullOrEmpty()){
            val graphCodeContains = message.exts!!.contains("graphCode")
            val relCodeContains = message.exts!!.contains("relCode")

            if (graphCodeContains&&relCodeContains){
                val graphCode = message.exts!!["graphCode"]
                val relCode = message.exts!!["relCode"]
                val objFrom = message.exts!!["objFrom"]
                val objTo = message.exts!!["relCode"]
                if (graphCode=="ArchSubset") {
                    /** 建筑从属关系 */
                }else if (graphCode=="ThroughRelationship") {
                    /** 贯通关系 */
                }else if (graphCode=="MechInArch") {
                    /** 机电类所在区域关系 */
                }else if (graphCode=="MechForArch") {
                    /** 机电类服务区域关系 */
                }


                if (graphCode=="ArchSubset"&&relCode=="Bd2Fl"){
                    /** 建筑下的楼层 */
                } else if (graphCode=="ArchSubset"&&relCode=="Bd2Sh") {
                    /** 建筑下的竖井 */
                } else if (graphCode=="ArchSubset"&&relCode=="Bd2Sp") {
                    /** 建筑下的业务空间 */
                } else if (graphCode=="ArchSubset"&&relCode=="Fl2Sp") {
                    /** 楼层下的业务空间 */
                }else if (graphCode=="ArchSubset"&&relCode=="Sh2Sp") {
                    /** 竖井下的业务空间 */
                }else if (graphCode=="ArchSubset"&&relCode=="Sh2Sp") {
                    /** 竖井下的业务空间 */
                }else if (graphCode=="MechInArch"&&relCode=="Sy2Bd") {
                    /** 系统所在建筑 */
                }else if (graphCode=="MechInArch"&&relCode=="Sy2Fl") {
                    /** 系统所在楼层 */
                }else if (graphCode=="MechInArch"&&relCode=="Sy2Sh") {
                    /** 系统所在竖井 */
                }else if (graphCode=="MechInArch"&&relCode=="Sy2Sp") {
                    /** 系统所在空间 */
                }else if (graphCode=="MechInArch"&&relCode=="Eq2Bd") {
                    /** 设备设施所在建筑 */
                }else if (graphCode=="MechInArch"&&relCode=="Eq2Fl") {
                    /** 设备设施所在楼层 */
                }else if (graphCode=="MechInArch"&&relCode=="Eq2Fl") {
                    /** 设备设施所在楼层 */
                }

            }
        }
    }


}